<div>
<table style="width:100%;margin-bottom:-10px" class="form-inline">
<tr ng-repeat="e in $root.active.state.extruder track by $index">
<td style="padding-bottom:10px">
<input type="radio" ng-show="$root.activeConfig.extruders[$index].toolType<4" ng-value="$index" ng-model="$root.active.state.activeExtruder" ng-disabled="!$ctrl.idle || !$root.user.printPermission" ng-change="$root.RSPrinter.selectExtruder($index)">&nbsp;
<i class="{{$root.RSPrinter.extruderIcon($index)}} rs-bigtab"></i> {{$root.RSPrinter.extruderName($index)}}
</td>
<td style="text-align:right;padding-bottom:10px" ng-if="$root.activeConfig.extruders[$index].supportTemperature">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['E'+$index]">
<a href rs-dropdown-toggle>
{{e|tempFull:1}} <i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="$root.user.printPermission">
<li ng-click="$event.stopPropagation()" style="height:80px">
<knob min="0" max="{{$root.activeConfig.extruders[$index].maxTemp}}" value="$root.active.state.extruder[$index].tempSet" changed="$root.RSPrinter.setExtruderTemperature($index,value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($index,0);$ctrl.closeMenu('E'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.extruders[$index].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.extruders[$index].temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($parent.$index,t.temp);$ctrl.closeMenu('E'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
<tr ng-if="$root.activeConfig.heatedBeds.length>0">
<td style="padding-bottom:10px">
<i class="rs rs-heated-bed rs-bigtab"></i> <?php _('Heated Bed') ?> {{$root.active.state.heatedBeds[0].id}}
</td>
<td style="text-align:right;padding-bottom:10px;text-wrap: none">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['B0']"><a href rs-dropdown-toggle>
{{$root.active.state.heatedBeds[0] | tempFull:1}}
<i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{$root.activeConfig.heatedBeds[0].maxTemp}}" value="$root.active.state.heatedBeds[0].tempSet" changed="$root.RSPrinter.setBedTemperature(value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(0);$ctrl.closeMenu('B0')"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.heatedBeds[0].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.heatedBeds[0].temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(t.temp);$ctrl.closeMenu('B0')">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
<tr ng-if="$root.activeConfig.heatedChambers.length>0">
<td style="padding-bottom:10px">
<i class="rs rs-chamber rs-bigtab"></i> <?php _('Heated Chamber') ?>
</td>
<td style="text-align:right;padding-bottom:10px;text-wrap: none">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['C0']"><a href rs-dropdown-toggle>
{{$root.active.state.heatedChambers[0] | tempFull:1}}
<i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{$root.activeConfig.heatedChambers[0].maxTemp}}" value="$root.active.state.heatedChambers[0].tempSet" changed="$root.RSPrinter.setChamberTemperature(value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(0);$ctrl.closeMenu('C0')"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.heatedChambers[0].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.heatedChambers[0].temperatures track by $index"><a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(t.temp);$ctrl.closeMenu('C0')">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
</table>
</div>
