<div class="tab-pane active" id="panelEeprom">
<h3><i class="rs rs-log"></i> <?php _('Logs') ?></h3>
<div class="well" ng-if="user.canChangeConfig()">
<div class="margin-bottom">
<?php _('Logging settings are global. Changes will take effect only with the next print, running prints are not affected.') ?>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="serverSettings.logIdle" ng-change="serverSettings.serverSettingsChanged()"> <?php _('Log communication when idle') ?>
</label>
</div>
<div class="checkbox">
<label>
<input type="checkbox" ng-model="serverSettings.logPrint" ng-change="serverSettings.serverSettingsChanged()"> <?php _('Log communication when printing') ?>
</label>
</div>
</div>
<div class="table-responsive">
<table class="table table-hover table-striped table-bordered2 vmiddle">
<tr>
<th><?php _('Log file') ?></th>
<th style="white-space: nowrap;width:1px"><?php _('Size') ?></th>
<th style="white-space: nowrap;width:1px"><?php _('Last modified') ?></th>
<th class="nowrap" style="width: 20px;">
<div style="display:flex;justify-content: space-between;align-items: center">
<button class="btn btn-primary btn-xs" ng-click="refreshLogs()">
<i class="fa fa-refresh"></i> <span class="hidden-xs"> <?php _('Refresh') ?></span></button>
<div class="btn text-danger light btn-xs margin-left" style="font-size:1.2em" ng-click="deleteAllLogs()" ng-if="user.delPermission">
<i class="fa fa-trash"></i><span class="hidden-sm hidden-xs"> <?php _('Delete All') ?></span></div>
</div>
</th>
</tr>
<tr ng-repeat="l in printLogs" ng-if="user.canReadFiles()">
<td><i ng-show="active==l.name" class="fa fa-pencil" title="<?php _('Active log') ?>"></i> {{l.name|cropLogName}}
</td>
<td class="nowrap">{{l.size | byte}}</td>
<td class="nowrap">{{(l.time * 1000) | date:'short'}}</td>
<td class="nowrap">
<div style="display:flex;justify-content: space-between;align-items: center">
<a href="/printer/log/{{slug}}?a=download&l={{encName(l)}}" class="btn btn-primary btn-xs">
<i class="fa fa-download"></i><span class="hidden-xs"> <?php _('Download') ?></span>
</a>
<div class="btn text-danger btn-xs margin-left" style="font-size:1.2em" ng-click="deleteLog(l)" ng-if="user.delPermission">
<i class="fa fa-trash"></i><span class="hidden-sm hidden-xs"> <?php _('Delete') ?></span></div>
</div>
</td>
</tr>
<tr ng-if="user.canReadFiles()"><td>server.log</td>
<td></td><td></td>
<td>
<a href="/printer/downloadServerLog" class="btn btn-primary btn-xs"><i class="fa fa-download"></i><span class="hidden-xs"> <?php _('Download') ?></span>
</a>
</td>
</tr>
<tr ng-if="user.canChangeConfig() && serverSettings.ServerOS===2">
<td>syslog</td>
<td></td><td></td>
<td>
<a href="/printer/downloadSyslog" class="btn btn-primary btn-xs"><i class="fa fa-download"></i><span class="hidden-xs"> <?php _('Download') ?></span>
</a>
</td>
</tr>
</table>
</div>
</div>
<br>
