<div class="row">
<div class="col-lg-12">
<h1 class="page-header"><i class="fa fa-user"></i> <?php _('User Profile') ?> - {{edituser.login}}</h1>
</div>
</div>
<div>
<h2><?php _('Overview') ?></h2>
<p><?php _('Your permissions:') ?></p>
<ul>
<li ng-if="edituser.admin">
<?php _('Admin') ?>
</li>
<li ng-if="edituser.manageAccounts">
<?php _('Manage Accounts') ?>
</li>
<li ng-if="edituser.changePasswords">
<?php _('Change password') ?>
</li>
<li ng-if="edituser.print">
<?php _('Print') ?>
</li>
<li ng-if="edituser.fullStop">
<?php _('Full Stop / Stop / Pause / Deactivate') ?>
</li>
<li ng-if="edituser.readfiles">
<?php _('Read files') ?>
</li>
<li ng-if="edituser.addfiles">
<?php _('Add new files') ?>
</li>
<li ng-if="edituser.deletefiles">
<?php _('Delete files') ?>
</li>
<li ng-if="edituser.seeprojects">
<?php _('See all projects') ?>
</li>
<li ng-if="edituser.editprojects">
<?php _('Edit all projects') ?>
</li>
<li ng-if="edituser.history">
<?php _('Change all history entries') ?>
</li>
<li ng-if="edituser.configure">
<?php _('Configure the server') ?>
</li>
</ul>
<div ng-if="!edituser.changePasswords">
<div class="form-group">
<label><?php _('Your Name') ?> (<?php _('Optional') ?>)</label>
<input type="text" class="form-control" readonly="readonly" ng-model="edituser.name">
</div>
</div>
<div ng-if="edituser.changePasswords">
<div class="form-group">
<label><?php _('Your Name') ?> (<?php _('Optional') ?>)</label>
<input type="text" class="form-control" ng-model="edituser.name">
</div>
<div class="margin-top">
<button type="button" class="btn btn-primary" ng-click="sendEditUser()">
<i class="fa fa-check"></i> <?php _('Apply Changes') ?>
</button>
<button type="button" class="btn btn-danger pull-right" ng-click="deleteUser(u.login)" ng-disabled="!cdu.canDelete">
<i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete User') ?>
</button>
</div>
<div ng-show="error" class="alert alert-danger alert-block" style="margin-top:10px">
{{error}}
</div>
<h3><?php _('API Key') ?></h3>
<div>
<?php _('API Key') ?>: <strong>{{u.apikey}}</strong>
<button class="btn btn-primary margin-left" ng-click="toClipboard(u.apikey)"><i class="fa fa-copy"></i>
</button>
<button class="btn btn-primary" ng-click="renewApiKey()" style="margin-left:10px">
<i class="fa fa-refresh rs-bigtab"></i> <?php _('Create new Key') ?>
</button>
</div>
</div>
<h3><?php _('Change Password') ?></h3>
<div ng-if="edituser.changePasswords">
<div class="form-group">
<label><?php _('Old Password') ?></label>
<input type="text" class="form-control" ng-model="edituser.oldPassword" placeholder="<?php _('Old Password') ?>">
</div>
<div class="form-group">
<label><?php _('New Password') ?></label>
<input type="text" class="form-control" ng-model="edituser.password" placeholder="<?php _('New Password') ?>">
</div>
<div class="form-group">
<label><?php _('New Password') ?> (<?php _('Confirmation') ?>)</label>
<input type="text" class="form-control" ng-model="edituser.password2" placeholder="<?php _('New Password') ?>">
</div>
<div ng-show="errorPw" class="alert alert-danger alert-block" style="margin-top:10px">
{{errorPw}}
</div>
<div class="margin-top">
<button type="button" class="btn btn-primary" ng-click="sendEditUser()">
<i class="fa fa-check"></i> <?php _('Change Password') ?>
</button>
</div>
</div>
<div ng-if="!edituser.changePasswords" class="alert alert-info alert-block">
<?php _('You have no permission to change your password. Please ask your administrator to change your password or to give you that permission!') ?>
</div>
</div>
