<div class="tab-pane active" id="panelPreview" ng-show="previewData">
<div ng-if="analyser.layerData && analyser.layerInfo">
<h2>{{analyser.layerInfo.name}}</h2>
<div class="btn-group margin-top">
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="0">
<rs-icon icon="fa fa-square-o" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('2D Preview') ?>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="3">
<rs-icon icon="fa fa-cube" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('3D Preview') ?>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="2">
<rs-icon icon="fa fa-cube" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('3D Preview') ?>
</label>
<label class="btn btn-default" ng-model="previewOptions.showGcode" uib-btn-radio="1">
<rs-icon icon="rs rs-file-gcode" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('G-Code') ?>
</label>
<label class="btn btn-default" ng-click="download()">
<rs-icon icon="fa fa-download" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('Download') ?>
</label>
<label class="btn btn-primary" ng-show="gcodeChanged" ng-click="saveGCode()">
<rs-icon icon="fa fa-save" style="font-size:18px;margin-right:4px"></rs-icon>
<?php _('Save G-Code') ?>
</label>
</div>
<div class="row">
<div class="col-xs-12 col-lg-8" id="control-row" style="overflow-x:hidden">
<div ng-show="previewOptions.showGcode==0">
<ul class="navbar nav nav-pills yamm margin-top">
<li ng-hide="previewOptions.showGcode" rs-dropdown dropdown-append-to-body ng-click="$event.stopPropagation()">
<a href="javascript:void(0)" rs-dropdown-toggle>
<?php _('Options') ?> <span class="caret"></span>
</a>
<ul rs-dropdown-menu role="menu">
<li ng-click="$event.stopPropagation()">
<div class="yamm-content" style="padding-left: 10px;">
<div style="width:300px">
<boolswitch class="small" ng-model="previewOptions.showPrint"></boolswitch>
&nbsp;<?php _('Show Print Moves') ?>
<br>
</div>
<div class="margin-top">
<boolswitch class="small" ng-model="previewOptions.showTravel"></boolswitch>
&nbsp;<?php _('Show Travel Moves') ?>
<br>
</div>
<div class="margin-top">
<boolswitch class="small" ng-model="previewOptions.showRetract"></boolswitch>
&nbsp;<?php _('Show Retracts and Unretracts') ?>
</div>
<div class="form-group margin-top">
<label><?php _('Default Extrusion Width') ?></label>
<div class="input-group" style="width:120px;display: inline-table;vertical-align: bottom;">
<input type="number" class="form-control" ng-model="previewOptions.extrusionWidth" step="any">
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
</li>
</ul>
</li>
<li ng-hide="previewOptions.showGcode">
<a href="javascript:void(0)" ng-click="fitObject()"><?php _('Fit Objects') ?></a>
</li>
<li ng-hide="previewOptions.showGcode">
<a href="javascript:void(0)" ng-click="fitPrinter()"><?php _('Fit Printer') ?></a>
</li>
</ul>
<div id="control-view" style="margin:10px auto;width:200px;height:200px;padding:0px;touch-action: none"></div>
<div class="well">
<div class="row">
<div class="col-xs-6">
<i class="fa fa-circle" style="color:#C9302C;margin-right:6px"></i> <?php _('Retract Filament') ?></div>
<div class="col-xs-6">
<i class="fa fa-circle" style="color:#0000ff;margin-right:6px"></i> <?php _('Advance Filament') ?></div>
<div class="col-xs-6">
<i class="fa fa-minus" style="color:#88E57C;margin-right:6px"></i> <?php _('Travel Moves') ?></div>
<div class="col-xs-6" ng-repeat="e in exlist track by $index">
<i class="fa fa-minus" style="color:{{e.col}};margin-right:6px"></i> {{e.name}}
</div>
</div>
</div>
</div>
<div class="alert alert-info margin-top" ng-show="previewOptions.showGcode==1 && user.addPermission" style="padding: 5px;">
<?php _('Click on line number to edit g-code.') ?>
</div>
<div ng-show="previewOptions.showGcode==1" id="layercode" class="gcode margin-top select-text" style="margin-bottom: 30px" ng-click="editLine($event)"></div>
<div ng-if="previewOptions.showGcode==2" style="margin-bottom: 30px">
<img style="width:100%" class="margin-top" ng-src="{{imgurl()}}">
</div>
<div ng-show="previewOptions.showGcode==3">
<div class="threeDView" id="gcode3dview" style="position:relative; margin:10px auto;width:100%;height:70vh;padding:0px;touch-action: none;background:red" oncontextmenu="return false;">
<div class="axis"></div>
</div>
</div>
</div>
<div class="col-xs-12 col-lg-4" style="text-align: center">
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('Layer Data') ?></h4>
</li>
<li class="list-group-item">
<?php _('Layer') ?>:
<span class="pull-right">
<button ng-click="prevLayer()" class="btn btn-default btn-xs">
<i class="fa fa-minus"></i></button>
&nbsp; <span style="display: inline-block;max-width:50px; margin-left:8px; margin-right:16px"><rs-in-place-number precision="0" changed="layerChanged()" value="editLayer"></rs-in-place-number></span>
<button ng-click="nextLayer()" class="btn btn-default btn-xs"><i class="fa fa-plus"></i>
</button>
</span>
</li>
<li class="list-group-item">
<?php _('Z Position') ?>:
<span class="pull-right">{{height | number:3}} mm</span>
</li>
<li class="list-group-item">
<?php _('Printing Time') ?>:
<span class="pull-right">{{duration | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Printing Time Elapsed') ?>:
<span class="pull-right">{{durationElapsed | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Printing Time Remaining') ?>:
<span class="pull-right">{{durationRemaining | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Lines') ?>:
<span class="pull-right">{{lineCount}}</span>
</li>
</ul>
<ul class="list-group" style="text-align: left">
<li class="list-group-item active">
<h4 style="margin:0"><?php _('G-Code Analysis') ?></h4>
</li>
<li class="list-group-item">
<?php _('Number of Layers') ?>:
<span class="pull-right">{{analyser.totalLayer}}</span>
</li>
<li class="list-group-item">
<?php _('Total Z Height') ?>:
<span class="pull-right">{{analyser.totalHeight | number:3}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<?php _('X Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.xmin | number:2}} - {{analyser.layerInfo.xmax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape!=='circle'">
<?php _('Y Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.ymin | number:2}} - {{analyser.layerInfo.ymax | number:2}} mm</span>
</li>
<li class="list-group-item" ng-if="activeConfig.shape.basicShape.shape==='circle'">
<?php _('Radius Printed') ?>:
<span class="pull-right">{{analyser.layerInfo.radius | number:2}} mm</span>
</li>
<li class="list-group-item">
<?php _('Total Printing Time') ?>:
<span class="pull-right">{{analyser.totalDuration | dhms}}</span>
</li>
<li class="list-group-item">
<?php _('Total Number of Lines') ?>:
<span class="pull-right">{{analyser.totalLines}}</span>
</li>
<li class="list-group-item">
<?php _('Slicer') ?>:
<span class="pull-right">{{model.slicer}}</span>
</li>
<li class="list-group-item">
<?php _('Volumetric Extrusion') ?>:
<span class="pull-right">{{model.volumetric | yesno}}</span>
</li>
</ul>
</div>
</div>
</div>
</div>
