<div class="btn btn-danger pull-right" style="margin-right:10px" ng-click="closeSlicerEditor()">
<i class="fa fa-close rs-bigger"></i></div>
<uib-tabset class="margin-top code110" style="margin-right:15px">
<uib-tab active="slicerEditorActive[0]">
<uib-tab-heading><?php _('Basic Configuration') ?></uib-tab-heading>
<div class="row margin-top">
<div class="col-xs-6">
<select ng-model="ss.PID" ng-options="c.id as c.name for c in slicerConfig.printConfigs" ng-change="updateSlicerPos()" class="form-control"></select>
</div>
<div class="col-xs-3">
<div class="btn btn-primary btn-block" ng-click="newBasicConfig()"><i class="fa fa-plus rs-bigger"></i>
</div>
</div>
<div class="col-xs-3">
<div class="btn btn-danger btn-block" ng-click="delBasicConfig()"><i class="fa fa-minus rs-bigger"></i>
</div>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-3">
<ul class="nav nav-pills nav-stacked" role="tablist">
<li ng-class="{active:$index==ss.pGroup}" ng-repeat="grp in so.printGroups track by $index">
<a ng-click="selectPrintGroup($index)">{{grp.name}}</a>
</li>
</ul>
</div>
<div class="col-xs-9">
<rs-slicer-option ng-repeat="p in ss.pParams track by $index" value="activePrintConfig" name="{{p.name}}" changed="sendChangedSlicerConfig()"></rs-slicer-option>
</div>
</div>
</uib-tab>
<uib-tab active="slicerEditorActive[1]">
<uib-tab-heading><?php _('Filament') ?></uib-tab-heading>
<div class="row margin-top">
<div class="col-xs-6">
<select ng-model="ss.FID" ng-options="c.id as c.name for c in slicerConfig.filamentConfigs" ng-change="updateSlicerPos()" class="form-control"></select>
</div>
<div class="col-xs-3">
<div class="btn btn-primary btn-block" ng-click="newFilamentConfig()">
<i class="fa fa-plus rs-bigger"></i></div>
</div>
<div class="col-xs-3">
<div class="btn btn-danger btn-block" ng-click="delFilamentConfig()">
<i class="fa fa-minus rs-bigger"></i></div>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-12">
<rs-slicer-option ng-repeat="p in so.filament track by $index" value="activeFilamentConfig" name="{{p.name}}" changed="sendChangedSlicerConfig()"></rs-slicer-option>
</div>
</div>
</uib-tab>
<uib-tab active="slicerEditorActive[3]">
<uib-tab-heading><?php _('Categories') ?></uib-tab-heading>
<div class="btn btn-primary btn-block margin-top" ng-click="addCategory()">
<i class="fa fa-plus"></i> <?php _('Add New Category') ?></div>
<ul class="list-group margin-top">
<li class="list-group-item" ng-repeat="c in slicerConfig.categories track by $index">
<div class="btn btn-danger btn-sm pull-right" style="margin-left:15px;margin-top:-5px" ng-click="delCategory($index)" ng-if="c.ref==0">
<i class="fa fa-trash-o"></i></div>
<span class="badge">{{c.ref}}</span>
<rs-in-place-string value="c.name" changed="categoryNameChanged(c)"></rs-in-place-string>
</li>
</ul>
<div class="alert alert-info margin-top"><?php _('Use categories to organise your slicer modification groups. You can only delete unused groups. To change the name of a group, click on the name to edit.') ?></div>
</uib-tab>
<uib-tab active="slicerEditorActive[2]">
<uib-tab-heading><?php _('Groups') ?></uib-tab-heading>
<div ng-if="ss.groupMode==0">
<div class="row">
<div class="col-xs-6">
<ul class="nav nav-pills nav-stacked" role="tablist">
<li ng-class="{active:$index==ss.editGroupCat}" ng-repeat="grp in slicerConfig.categories track by $index">
<a ng-click="selectEditGroupGroup($index)">{{grp.name}}</a>
</li>
</ul>
</div>
<div class="col-xs-6">
</div>
</div>
</div>
<div ng-if="ss.groupMode==1"></div>
</uib-tab>
</uib-tabset>
